## xlassie 1.8

=== Makefile ===
LIBS = -L/usr/X11R6/lib -lXext -lX11
CFLAGS = -O2 -fomit-frame-pointer -pipe -Wall
#CFLAGS = -g -pipe

# Use this for solaris
#LIBS = -L/usr/openwin/lib -lsocket -lnsl -lresolv -lXext -lX11
#CFLAGS = -O2 -pipe -Wall

all: xlassie

xlassie: xlassie.o socket.o
	gcc $(CFLAGS) -o xlassie xlassie.o socket.o $(LIBS)

xlassie.o: xlassie.c defaults.h
	gcc $(CFLAGS) -c xlassie.c

socket.o: socket.c defaults.h
	gcc $(CFLAGS) -c socket.c

dist: clean
	@(dir=`pwd`; name=`basename $$dir`; \
	rm -f $$name.tar.gz ; \
	cd .. ; tar -zcf $$name/$$name.tar.gz --exclude $$name/$$name.tar.gz $$name )

clean:
	-rm -f *.o xlassie

=== debian/changelog ===
xlassie (1.8-21) unstable; urgency=low

  * bump standards version (debian/control)
  * dh --parallel
  * dh 8
  * use updated upstream Makefile (debian/rules)
  * single-debian-patch source option

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 04 Oct 2011 17:28:00 +0100

xlassie (1.8-20) unstable; urgency=low

  * bump deb standards
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:42 +0000

xlassie (1.8-19) unstable; urgency=low

  * correct some minor typos and an inconsequential lintian issue

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 20 Jan 2010 18:39:01 +0100

xlassie (1.8-18) unstable; urgency=low

  * rev deb policy
  * fancier, and lintian clean, debian/rules

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 25 Sep 2009 16:00:22 -0400

xlassie (1.8-17) unstable; urgency=low

  * lintian issues, rev deb policy, rev dh

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Aug 2008 12:28:14 +0100

xlassie (1.8-16) unstable; urgency=low

  * debian house keeping (menu section changes, build dependency changes)
  * Add homepage field to debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Jan 2008 12:10:14 +0000
    

xlassie (1.8-15) unstable; urgency=low

  * factor out stripping vs installing in Makefile (closes: #438302)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 16 Aug 2007 16:16:40 +0100

xlassie (1.8-14) unstable; urgency=low

  * add debian/watch file
  * use exponential notation when message count exceeds 99

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 Sep 2006 16:23:14 +0100

xlassie (1.8-13) unstable; urgency=low

  * imap folder option patch from Benjamin Bayart (closes: #381457)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri,  4 Aug 2006 18:31:40 +0100

xlassie (1.8-12) unstable; urgency=low

  * fix mail dir bug, thanks to Dan Aloni <da-x@monatomic.org>

 -- Barak A. Pearlmutter <bap@debian.org>  Thu,  1 Jun 2006 13:07:07 +0100

xlassie (1.8-11) unstable; urgency=low

  * missing libxt-dev build dependency (closes: #347005)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Jan 2006 11:21:01 +0000

xlassie (1.8-10) unstable; urgency=low

  * account for broken (apart) xlibs (closes: #347005)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon,  9 Jan 2006 11:12:44 +0000

xlassie (1.8-9) unstable; urgency=low

  * versioned debhelper build dependency
  * mail count offset option, for debugging
  * use GNU getopt() for non-X option parsing
  * rework previously blecherous font search code
  * also patch from Nadim Shaikli including:
  * added Xresource abilities; can set all options (closes: #282548)
  * document Xresources in man pages
  * rename options -file to -spool and -command to -clickcommand
  * fix the update interval logic for pop/imap
  * various minor improvements for consistency and readability

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Nov 2004 12:35:16 +0000

xlassie (1.8-8) unstable; urgency=low

  * policy rev
  * patch from Nadim Shaikli <shaikli@yahoo.com> (closes: #280804) including:
  * count>99 overflowed window; now displays "F" (closes: #265155)
  * added/documented -led option to toggle keyboard LED upon mail reception
  * added gracefully quit by pressing 'q' on window
  * minor typo/location changes in help and manpage for consistency
  * man page improvements (reworked to use help2man --include)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Nov 2004 12:24:56 -0700

xlassie (1.8-7) unstable; urgency=low

  * document -geometry option in -help option
  * fix -verbose option bug (printed noise regardless)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu,  5 Aug 2004 19:13:10 -0500

xlassie (1.8-6) unstable; urgency=low

  * tone down verbosity

 -- Barak A. Pearlmutter <bap@debian.org>  Mon,  3 Mar 2003 20:57:25 +0000

xlassie (1.8-5) unstable; urgency=low

  * add option to re-count mail upon click, as default
  * add --verbose option

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 28 Feb 2003 00:49:10 +0000

xlassie (1.8-4) unstable; urgency=low

  * update debian infrastructure
  * stop setting /usr/doc link

 -- Barak A. Pearlmutter <bap@cs.unm.edu>  Sat,  8 Feb 2003 14:45:43 +0000

xlassie (1.8-3) unstable; urgency=low

  * switch dependency order (closes: #170241)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Thu, 21 Nov 2002 23:26:50 -0700

xlassie (1.8-2) unstable; urgency=low

  * text-only mods, no change to any functionality (closes: #166358)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Sun, 27 Oct 2002 22:10:27 -0700

xlassie (1.8-1) unstable; urgency=low

  * integrate upstream mods

 -- Barak Pearlmutter <bap@cs.unm.edu>  Tue, 26 Feb 2002 15:16:10 -0700

xlassie (1.7-3) unstable; urgency=low

  * fiddle with default fonts (closes: #102613)
  * add README.debian with discussion of security (addresses #102612)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Thu, 12 Jul 2001 16:00:49 -0600

xlassie (1.7-2) unstable; urgency=low

  * rephrase description
  * add build dependencies (closes: #98142)

 -- Barak Pearlmutter <bap@cs.unm.edu>  Mon, 21 May 2001 00:16:16 -0600

xlassie (1.7-1) unstable; urgency=low

  * invoke help2man
  * add --help and --version switches
  * Generalize font specs.
  * New upstream release.

 -- Barak Pearlmutter <bap@cs.unm.edu>  Wed, 16 May 2001 01:10:55 -0600

xlassie (1.5-1) unstable; urgency=low

  * Initial release.

 -- Barak A. Pearlmutter <bap@cs.unm.edu>  Mon, 10 Jul 2000 14:33:50 -0700

=== debian/control ===
Source: xlassie
Section: x11
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.2
Build-Depends: help2man, debhelper (>= 8),
	libx11-dev, libxt-dev, libxext-dev, x11proto-core-dev
Homepage: http://www.speakeasy.org/%7Exyzzy/xlassie/
Vcs-Git: git://git.debian.org/git/collab-maint/xlassie.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/xlassie.git

Package: xlassie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dockable mail notifier w/ message count & POP3/APOP/IMAP support
 Enhanced pending mail notifier.
 Displays the number of waiting messages.
 Supports local mail spool and POP3/APOP3/IMAP mail servers.
 Can run a command when clicked upon.
 Uses plain xlib, so memory footprint is tiny.
 Can operate as plain app or WindowMaker/KDE dock applet.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/watch ===
# Watch control file.
# Run uscan(1) to check for upstream updates and more.

version=3

http://www.speakeasy.org/%7Exyzzy/xlassie/ \
 http://www.speakeasy.org/~xyzzy/download/xlassie-([\d\.]*)\.tar\.gz
